Get Service Instance

Get Service Instance
Get a service instance

This endpoint retrieves the service instance by GUID.

Request
URI
GET
https://api.example.local/v3/service_instances/{guid}
COPY
Path Parameters
string
guid
Required

The unique identifier for the resource

Query Parameters
object
fields
Optional

Fields to include in the response


Authentication
This operation uses the following authentication methods.
Responses
200

OK

{
    "guid": "string",
    "created_at": "string",
    "updated_at": "string",
    "type": "string",
    "name": "string",
    "tags": [
        "string"
    ],
    "syslog_drain_url": "string",
    "route_service_url": "string",
    "dashboard_url": "string",
    "maintenance_info": {
        "version": "string",
        "description": "string"
    },
    "upgrade_available": false,
    "last_operation": {
        "type": "string",
        "state": "string",
        "description": "string",
        "created_at": "string",
        "updated_at": "string"
    },
    "relationships": {
        "space": {
            "data": {
                "guid": "string"
            }
        },
        "service_plan": {
            "data": {
                "guid": "string"
            }
        }
    },
    "links": {
        "self": {
            "href": "string",
            "method": "string"
        },
        "space": {
            "href": "string",
            "method": "string"
        },
        "service_plan": {
            "href": "string",
            "method": "string"
        },
        "parameters": {
            "href": "string",
            "method": "string"
        },
        "service_credential_bindings": {
            "href": "string",
            "method": "string"
        },
        "service_route_bindings": {
            "href": "string",
            "method": "string"
        },
        "shared_spaces": {
            "href": "string",
            "method": "string"
        }
    },
    "metadata": {
        "labels": {
            "labels": "string"
        },
        "annotations": {
            "annotations": "string"
        }
    }
}

401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v3/service_instances/{guid}